CoverageAttributeTable.CoverageEntry (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class CoverageAttributeTable.CoverageEntry

    java.lang.Object
      com.bbn.openmap.layer.vpf.CoverageAttributeTable.CoverageEntry

Enclosing class:
  CoverageAttributeTable

    public static class CoverageAttributeTable.CoverageEntry

extends java.lang.Object

A utility class to hold information about one coverage type. Only the associated coverage table may be modified after construction.

Constructor Summary
`CoverageAttributeTable.CoverageEntry(int topologyLevel, java.lang.String desc)` Create a coverage entry without a coverage table
`CoverageAttributeTable.CoverageEntry(int topologyLevel, java.lang.String desc, CoverageTable covtable)` Create a coverage entry with an initial coverage table

Method Summary
`CoverageTable` | `getCoverageTable()` Get the associated coveragetable
`java.lang.String` | `getDescription()` Get the description for this entry
`int` | `getTopologyLevel()` Get the topology level for this entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoverageAttributeTable.CoverageEntry

    public CoverageAttributeTable.CoverageEntry(int topologyLevel,
                                                java.lang.String desc)

  Create a coverage entry without a coverage table

  Parameters:
    `topologyLevel` - the topology level for this coverageentry
    `desc` - the description for this entry

### CoverageAttributeTable.CoverageEntry

    public CoverageAttributeTable.CoverageEntry(int topologyLevel,
                                                java.lang.String desc,
                                                CoverageTable covtable)

  Create a coverage entry with an initial coverage table

  Parameters:
    `topologyLevel` - the topology level for this coverageentry
    `desc` - the description for this entry
    `covtable` - the coveragetable for this entry

Method Detail

### getTopologyLevel

    public int getTopologyLevel()

  Get the topology level for this entry

### getDescription

    public java.lang.String getDescription()

  Get the description for this entry

### getCoverageTable

    public CoverageTable getCoverageTable()

  Get the associated coveragetable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details